Package bitel.billing.server.contract.bean

# Class ContractUtils

java.lang.Object
bitel.billing.server.contract.bean.ContractUtils

    public class ContractUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractUtils​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addContractParameters​(int cid, boolean group, org.w3c.dom.Element parameters, org.w3c.dom.Element rootNode)` | Добавить параметры договора в XML-документ
  `void` | `addContractParameters​(int cid, boolean group, org.w3c.dom.Element parameters, org.w3c.dom.Element rootNode, int userId)` | Добавить параметры договора в XML-документ.
  `void` | `addContractParameters​(int cid, javax.xml.stream.XMLStreamWriter rootNode, java.lang.String paramsNodeName)` | Добавление параметров для сериализации договора
  `void` | `addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams)` | Сериализация договора
  `void` | `addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams, boolean addSuper)` | Сериализация договора
  `void` | `addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams, boolean addSub, boolean addSuper, java.util.Set<java.lang.Integer> xmlContractConsist, java.util.Set<java.lang.Integer> xmlModulesConsist, java.util.Set<java.lang.Integer> xmlPluginConsist)` | Сериализация договора
  `java.lang.String` | `getCids​(long groups)` | Получение списка кодов договоров по группам
  `static java.lang.String` | `getCidsStringForQuery​(int contractId, int cidMembers, java.sql.Connection con)` | Получение строки с номерами договоров разделенными запятыми.
  `java.lang.String` | `getContractTitle​(int cid)` | Получает имя договора.
  `java.lang.String` | `getContractTitle​(int cid, boolean withComment)` | Получает имя договора по id
  `java.lang.String` | `getContractTitle​(int cid, boolean withComment, java.lang.String nullText)` | Получает имя договора по id.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractUtils

    public ContractUtils​(java.sql.Connection con)

- ## Method Details

  - ### getContractTitle

    public java.lang.String getContractTitle​(int cid)
    Получает имя договора. Данный метод использовать только, если предпологается многократное обращение к нему, так как на момент жизни ContractUtils, 'title' кешируются.
    Parameters:
      `cid` - - номер договора.

  - ### getContractTitle

    public java.lang.String getContractTitle​(int cid, boolean withComment)
    Получает имя договора по id
    Parameters:
      `cid` - - код договора
      `withComment` - - необходимо ли добавить комментарий
    Returns:
      имя договора. Если договор не найден то вернет "TITLE_NOT_FOUND"

  - ### getContractTitle

    public java.lang.String getContractTitle​(int cid, boolean withComment, java.lang.String nullText)
    Получает имя договора по id.
    Parameters:
      `cid` - - код договора
      `withComment` - - необходимо ли добавить комментарий
      `nullText` - - если договор не найден, то данное значение будет возвращенно

  - ### getCids

    public java.lang.String getCids​(long groups)
    Получение списка кодов договоров по группам
    Parameters:
      `groups` - long
    Returns:
      String

  - ### getCidsStringForQuery

    public static java.lang.String getCidsStringForQuery​(int contractId, int cidMembers, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Получение строки с номерами договоров разделенными запятыми.
    Parameters:
      `contractId` - - ид договор.
      `cidMembers` - - если == 1, то только данный договор, если = 2 то вернет еще и его зависимые субдоговоры, если = 3 то только его зависимые субдоговоры.
    Returns:
      список ид договоров через запятую, если неверные параметры или в результате будет пустая строка, то вернет null. Обязательно вернет null, если запрашиваются только зависимые договора, которых нет.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractXML

    public void addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams) throws java.sql.SQLException, javax.xml.stream.XMLStreamException, ru.bitel.bgbilling.common.BGException
    Сериализация договора
    Throws:
      `java.sql.SQLException`
      `javax.xml.stream.XMLStreamException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractXML

    public void addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams, boolean addSuper) throws java.sql.SQLException, javax.xml.stream.XMLStreamException, ru.bitel.bgbilling.common.BGException
    Сериализация договора
    Throws:
      `java.sql.SQLException`
      `javax.xml.stream.XMLStreamException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractXML

    public void addContractXML​(int contractId, javax.xml.stream.XMLStreamWriter rootNode, boolean withParams, boolean addSub, boolean addSuper, java.util.Set<java.lang.Integer> xmlContractConsist, java.util.Set<java.lang.Integer> xmlModulesConsist, java.util.Set<java.lang.Integer> xmlPluginConsist) throws java.sql.SQLException, javax.xml.stream.XMLStreamException, ru.bitel.bgbilling.common.BGException
    Сериализация договора
    Throws:
      `java.sql.SQLException`
      `javax.xml.stream.XMLStreamException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractParameters

    public void addContractParameters​(int cid, boolean group, org.w3c.dom.Element parameters, org.w3c.dom.Element rootNode) throws org.w3c.dom.DOMException, java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Добавить параметры договора в XML-документ
    Throws:
      `org.w3c.dom.DOMException`
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractParameters

    public void addContractParameters​(int cid, boolean group, org.w3c.dom.Element parameters, org.w3c.dom.Element rootNode, int userId) throws org.w3c.dom.DOMException, java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Добавить параметры договора в XML-документ.
    Parameters:
      `group` - - если нужно учитывать группу параметров договора то передается true, если нет - false.
    Throws:
      `org.w3c.dom.DOMException`
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractParameters

    public void addContractParameters​(int cid, javax.xml.stream.XMLStreamWriter rootNode, java.lang.String paramsNodeName) throws org.w3c.dom.DOMException, java.sql.SQLException, javax.xml.stream.XMLStreamException
    Добавление параметров для сериализации договора
    Parameters:
      `cid` -
      `rootNode` -
      `paramsNodeName` -
    Throws:
      `org.w3c.dom.DOMException`
      `java.sql.SQLException`
      `javax.xml.stream.XMLStreamException`